Bug 96577

Summary: Remove webkitPostMessage
Product: WebKit Reporter: Adam Barth <abarth>
Component: WebCore JavaScriptAssignee: Adam Barth <abarth>
Status: RESOLVED FIXED    
Severity: Normal CC: abecsi, dslomov, eric, gns, gtk-ews, gyuyoung.kim, haraken, japhet, kbr, mjs, ojan, philn, rakuco, rniwa, syoichi, vestbo, webkit.review.bot, xan.lopez
Priority: P2 Keywords: WebExposed
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
patch for discussion
none
Patch
none
Patch
none
Patch
none
Patch
none
Patch
none
Patch for landing
none
Patch none

Description Adam Barth 2012-09-12 16:47:43 PDT
Remove webkitPostMessage
Comment 1 Adam Barth 2012-09-12 17:00:54 PDT
Created attachment 163739 [details]
patch for discussion
Comment 2 Eric Seidel (no email) 2012-09-12 17:33:59 PDT
Comment on attachment 163739 [details]
patch for discussion

OK.  Do we have any concept of how much content on teh web depends on this?
Comment 3 Maciej Stachowiak 2012-09-12 18:05:18 PDT
This probably shouldn't be r+'d or committed until the webkit-dev discussion has settled. See thread starting here: http://lists.webkit.org/pipermail/webkit-dev/2012-September/022189.html
Comment 4 Adam Barth 2012-09-12 18:28:36 PDT
> Do we have any concept of how much content on teh web depends on this?

We don't have any hard numbers.  I wasn't able to find any uses when I looked with various code search tools.  As far as I can tell, its existence was only mentioned in one tutorial.

> This probably shouldn't be r+'d or committed until the webkit-dev discussion has settled.

Yes, I didn't actually mean to set the r? flag.  I just wanted to post a patch so that we had something concrete to discuss.
Comment 5 Adam Barth 2012-09-13 16:00:16 PDT
Created attachment 163989 [details]
Patch
Comment 6 Adam Barth 2012-09-13 16:00:45 PDT
This updated patch reflects the further discussion on webkit-dev. Let's see if the EWS thinks it builds on all the various ports.
Comment 7 Ojan Vafai 2012-09-13 16:02:19 PDT
Comment on attachment 163989 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=163989&action=review

> Source/WebCore/GNUmakefile.am:470
> +endif  # END ENABLE_LEGACY_WEBKIT_BLOB_BUILDER

copy-paste lol

> Source/WebCore/workers/Worker.idl:1
> +e/*

Not likely to build. :)
Comment 8 Adam Barth 2012-09-13 16:05:16 PDT
Created attachment 163991 [details]
Patch
Comment 9 Adam Barth 2012-09-13 16:10:54 PDT
Created attachment 163992 [details]
Patch
Comment 10 Adam Barth 2012-09-13 16:22:37 PDT
Created attachment 163995 [details]
Patch
Comment 11 kov's GTK+ EWS bot 2012-09-13 16:38:35 PDT
Comment on attachment 163995 [details]
Patch

Attachment 163995 [details] did not pass gtk-ews (gtk):
Output: http://queues.webkit.org/results/13855191
Comment 12 Gyuyoung Kim 2012-09-13 16:54:03 PDT
Comment on attachment 163995 [details]
Patch

Attachment 163995 [details] did not pass efl-ews (efl):
Output: http://queues.webkit.org/results/13851300
Comment 13 Build Bot 2012-09-13 17:00:35 PDT
Comment on attachment 163995 [details]
Patch

Attachment 163995 [details] did not pass mac-ews (mac):
Output: http://queues.webkit.org/results/13855194
Comment 14 Early Warning System Bot 2012-09-13 17:16:06 PDT
Comment on attachment 163995 [details]
Patch

Attachment 163995 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/13855196
Comment 15 Adam Barth 2012-09-13 17:17:05 PDT
Created attachment 164006 [details]
Patch
Comment 16 Adam Barth 2012-09-14 11:17:30 PDT
The bots are green now.  Anyone care to review?
Comment 17 Ojan Vafai 2012-09-14 11:19:48 PDT
Comment on attachment 164006 [details]
Patch

Would be nice to include a brief description in the ChangeLog about why a generic legacy flag makes sense instead of one specific to postmessage (e.g. that once we've confirmed getting rid of it is OK we can just delete this code and avoid the overhead of constantly adding/removing flags per prefix).
Comment 18 Adam Barth 2012-09-14 11:23:58 PDT
Will do.  I'm going to wait until Wed to land this patch so that it will have a full Dev cycle to bake.
Comment 19 Adam Barth 2012-09-14 13:53:55 PDT
Actually, I'm going to land this with ENABLE_LEGACY_VENDOR_PREFIXES turned on everywhere and then flip the flag for Chromium on Wed so that this patch doesn't bit rot.
Comment 20 Adam Barth 2012-09-14 14:02:56 PDT
Created attachment 164221 [details]
Patch for landing
Comment 21 WebKit Review Bot 2012-09-14 15:04:38 PDT
Comment on attachment 164221 [details]
Patch for landing

Clearing flags on attachment: 164221

Committed r128658: <http://trac.webkit.org/changeset/128658>
Comment 22 WebKit Review Bot 2012-09-14 15:04:44 PDT
All reviewed patches have been landed.  Closing bug.
Comment 23 Adam Barth 2012-09-14 15:47:20 PDT
Not actually removed quite yet!  We still need to flip the enable bit.
Comment 24 Adam Barth 2012-09-19 18:07:58 PDT
Created attachment 164812 [details]
Patch
Comment 25 WebKit Review Bot 2012-09-19 19:04:51 PDT
Comment on attachment 164812 [details]
Patch

Clearing flags on attachment: 164812

Committed r129085: <http://trac.webkit.org/changeset/129085>
Comment 26 WebKit Review Bot 2012-09-19 19:04:57 PDT
All reviewed patches have been landed.  Closing bug.